.container {
  display: grid;
  grid-template-columns: 2rem repeat(7, 1fr) 2rem;
  grid-template-rows: 5rem 7.5rem;

  esspass-web-wallet-profile-content {
    grid-column: 2/9;
    margin-top: 1rem;
  }

  div:nth-child(2) {
    grid-column: 2/9;
  }

  div:not(:nth-child(1)):not(:nth-child(2)) {
    grid-column: 2/9;
  }

  div:last-of-type {
    margin-bottom: 15rem;
  }

  .header-centered {
    grid-column: 5/6;
    display: flex;
    justify-content: center;

    .centered {
      text-align: center;
      font-size: 2.4rem;
      line-height: 4.1rem;
    }
  }

  ion-spinner {
    grid-column: 5/6;

    --color: black;

    align-items: center;
    justify-content: center;

    width: 10rem;
    height: 10rem;
    margin-bottom: 2rem;
  }
}

.color-shape {
  border-radius: 3.7rem 3.7rem 0 0;
  background: linear-gradient(217deg, #15328c 18.4%, #f23369 97.41%);
  padding-bottom: 5rem;
  display: flex;
  align-items: center;
  justify-content: center;

  div.scan {
    margin-top: 5.9rem;
    width: 14.1rem;
    height: 4.6rem;
    padding: 0.8rem 2.9rem 0.8rem 2.3rem;

    display: flex;
    align-items: center;
    justify-content: center;

    gap: 0.8497rem;
    flex-shrink: 0;

    border-radius: 2.7rem;
    border: 1px solid #fff;

    span {
      font-size: 2.3rem;
      color: white;
      margin-right: 0.5rem;
    }
  }
}

.no-credentials {
  font-size: 1.6rem;
  line-height: 4.1rem;
}
